Subject: Re: [SIP] INVITE with incomplete SDP description

From: Rohan Mahy <[email-masked]>
Date: Fri, 02 Jun 2000 10:14:33 -0700

Alberto,

I also agree with Jonathan, et al, that what you want is a minor 
optimization and is better served with a reINVITE, or INVITE+ACK.  However, 
you may be interested in the discussions of SDPng in the mmusic WG.  The 
goal is for SDPng to have much finer control over the details of 
capabilities negotiation, etc.

thanks,
-rohan

At 06:15 AM 5/26/00 , Alberto Conte wrote:
>Sorry, but I still disagree.
>
>I don't think that specifying what does it mean a port number = 0 in the 
>INVITE
>message (which is at the moment not defined in the RFC 2543) is a way to 
>make the
>protocol more complex.
>
>I think it is just a way to ensure implementation compatibility by 
>specifying how
>this kind of message must be handled. That will never prevent to use the 
>solution
>proposed by Jonathan.
>
>Alberto
>
>Lars Berggren a écrit :
> >
> > On Thu, 25 May 2000, Alberto Conte wrote:
> >
> > > Putting in hold the calle is a solution, but that increases the 
> number of messages to
> > > be exchanged, requiring a re-INVITE transaction!
> > >
> > > The power of SIP is to reduce the message exchanged in case of no 
> error. And this is
> > > actually a case of no-error. It should be better allowing the caller 
> to propose its
> > > media request delaying only the RTP port information in the ACK.
> > >
> > > Alberto
> > >
> >
> > I would rather think the power of SIP is its generality, flexibility and
> > simplicity. A re-INVITE is a very general and powerful mechanism to
> > accomplish many different tasks, including yours, so why not keep it that
> > way instead of specifying special cases which tend to make the protocol
> > more complex.
> >
> > /Lars
> >
> > Lars Berggren       <mailto:[email-masked]>
> > Intertex Data AB    tel: +46-8-6282828
> > Sundbyberg, Sweden  fax: +46-8-6286414
>
>
>_______________________________________________
>SIP mailing list
>[email-masked]
>http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip